Bug 43132 - bash-2.0.5-5 missing /etc/bashrc
Summary: bash-2.0.5-5 missing /etc/bashrc
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: bash (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-01 04:51 UTC by j. alan eldridge
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-20 20:42:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description j. alan eldridge 2001-06-01 04:51:21 UTC
Description of Problem:



Subject line says it all.

Comment 1 Bernhard Rosenkraenzer 2001-06-01 13:07:31 UTC
bashrc has moved to the setup package.


Comment 2 j. alan eldridge 2001-06-01 13:31:06 UTC
Hmmm... so you upgrade from your existing bash package to this one, and 
*poof*, your /etc/bashrc file is nuked. :(



Comment 3 Pekka Savola 2001-06-20 20:42:54 UTC
Well, it should leave an .rpmsave behind if you have modified it I think..

Anyway, perhaps it would be best to Require setup package fresh enough.


Comment 4 Bernhard Rosenkraenzer 2001-08-29 17:25:19 UTC
anaconda handles this case for clean 7.1->7.2 updates


Comment 5 Pekka Savola 2001-08-29 17:43:33 UTC
Someone might want to update bash, e.g. grab the latest from rawhide and rebuild it 
on older systems.  Heck, it happened to me.

Missing /etc/bashrc is annoying, and without Requires this can only be handled gracefully when
using anaconda.

But anaconda is not all.


Note You need to log in before you can comment on or make changes to this bug.